%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

# we currently have both PolicyKit and ConsoleKit packages
# but they aren't configured properly yet - so we disable
# integration in KDE4 for now
%define		build_with_polkit 0
%define		build_with_consolekit 0

%define         kdm_user_uid    126

Distribution:   CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		kdebase-workspace
Version:	4.5.4
Release:	1
BuildArch:	i686
License:	GNU/GPL, LGPL
URL:		http://www.kde.org
Group:		Graphical Desktop/KDE4
Source0:	kdebase-workspace-%{version}.tar.bz2
Patch1:         kdebase-workspace-4.3.0-ccux-startkde.patch
# add /usr/share/xsessions to kdm sessions search path
Patch2:		kdebase-workspace-kdm-xsessions-dir.patch
# kdebase-workspace only needs python to build python plasma support
Patch3:		kdebase-workspace-4.4.0-break_pykde_circular_dep.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:      i686
Summary:	K Desktop Environment - Workspace
#Requires:	kdebase-runtime
BuildRequires:	cmake automoc4
BuildRequires:	bzip2-devel
BuildRequires:	openssl-devel
BuildRequires:	xine-lib-devel
BuildRequires:	libxcb-devel
BuildRequires:	libpthread-stubs
BuildRequires:	bluez-libs-devel
BuildRequires:	libraw1394-devel
BuildRequires:	libxkbfile-devel
#BuildRequires: 	NetworkManager-devel
BuildRequires:	python26-pyqt
#BuildRequires:	kdebindings-python >= %{version}
BuildRequires:	qzion-devel
BuildRequires:  qedje-devel
%if %{build_with_consolekit}
BuildRequires:	ConsoleKit-devel
%endif
%if %{build_with_polkit}
BuildRequires:  polkit-qt-devel
%endif
BuildRequires:	gpsd-devel
BuildRequires:  google-gadgets-for-linux-devel
BuildRequires:  pulseaudio-libs-devel
BuildRequires:  portaudio-devel
BuildRequires:  shared-desktop-ontologies
BuildRequires:  libdbusmenu-qt-devel
BuildRequires:  libjpeg-devel
BuildRequires:  cln-devel
BuildRequires:  libqalculate-devel
BuildRequires:  pciutils-devel

#Obsoletes: 	kdebase < 1:4
#Requires: 	kdebase
Obsoletes: 	kdebase4-workspace < %{version}-%{release}
Provides:  	kdebase4-workspace = %{version}-%{release}

#Automatically resolved build dependencies
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: kdelibs-devel >= %{version}
BuildRequires: kdelibs-common >= %{version}
BuildRequires: kdepimlibs-devel >= %{version}
BuildRequires: libgcc
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libusb-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libxklavier-devel
BuildRequires: libxml2-devel
BuildRequires: libXpm-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXtst-devel
BuildRequires: libXxf86misc-devel
BuildRequires: lm_sensors-devel
BuildRequires: mesa-libGL-devel
BuildRequires: mesa-libGLU-devel
BuildRequires: pam-devel
BuildRequires: perl
BuildRequires: python26
BuildRequires: python26-devel 
BuildRequires: python26-pyqt-devel
BuildRequires: phonon-devel
BuildRequires: qimageblitz-devel
BuildRequires: qt4-devel
BuildRequires: soprano-devel
BuildRequires: strigi-devel
BuildRequires: xmms-devel
BuildRequires: zlib-devel boost-devel akonadi-devel qedje-devel

%description
The KDE Workspace consists of what is the desktop of the 
KDE Desktop Environment.

This package contains:
* kdm (the login manager of KDE)
* khotkeys (a hotkey daemon)
* klipper (a cut & paste history utility)
* kmenuedit (the menu editor)
* krandrtray (resize and rotate X screens)
* krunner (a command run interface)
* ksysguard (a performance monitor)
* kwin (the window manager of KDE)
* kxkb (a utility to switch keyboard maps)
* plasma (the KDE desktop, panels and widgets workspace application)
* systemsettings (the configuration editor)


%package	devel
Summary:	Header files for compiling KDE 4 applications
Group:		Development/Libraries
Requires: 	%{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Obsoletes: 	kdebase4-workspace-devel < %{version}-%{release}
Provides:  	kdebase4-workspace-devel = %{version}-%{release}

%description	devel
This package includes the header files you will need to compile
applications for KDE 4.

%pre
# Add the "kdm" user
/usr/sbin/useradd -c 'KDM Login Manager' -u %{kdm_user_uid} -s /sbin/nologin -d '/' kdm 2> /dev/null || :

%post
ldconfig
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
ldconfig
xdg-icon-resource forceupdate --theme oxygen 2> /dev/null || :
xdg-desktop-menu forceupdate 2> /dev/null || :
if [ $1 -eq 0 ]; then
    /usr/sbin/userdel kdm &>/dev/null || :
fi

%prep
%setup -q
%patch1 -p1
%patch2 -p1
#%patch3 -p1 

%build
mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} %{?_without_nm} \
  -DKDE4_KDM_PAM_SERVICE=kdm \
  -DKDE4_KCHECKPASS_PAM_SERVICE=kcheckpass \
  -DKDE4_KSCREENSAVER_PAM_SERVICE=kscreensaver \
%if !%{build_with_consolekit}
  -DWITH_CkConnector=OFF \
%endif
%if !%{build_with_polkit}
  -DWITH_PolkitQt=OFF \
%endif
 .. 
popd

## Disable smp build for now, seems to be broken
make %{?_smp_mflags} -C %{_target_platform}
##make -C %{_target_platform}

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

#cp %{buildroot}%{_bindir}/startkde %{buildroot}%{_bindir}/startkde4
#rm -rf %{buildroot}%{_bindir}/startkde

# xsession support
mkdir -p %{buildroot}%{_datadir}/xsessions/
ln -s %{_kde4_appsdir}/kdm/sessions/kde.desktop %{buildroot}%{_datadir}/xsessions/kde.desktop

#install -m 755 -d $RPM_BUILD_ROOT/usr/share/xsessions/
#install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/xsessions/

# FIXME/TODO: provide kdm config in kde-settings(-kdm)
# nuke, use external kde-config-kdm
#rm -rf  %{buildroot}%{_kde4_configdir}/kdm

# own %{_kde4_appsdir}/kdm/faces and set default user image
#mkdir -p %{buildroot}%{_kde4_appsdir}/kdm/faces
#pushd %{buildroot}%{_kde4_appsdir}/kdm/faces
#ln -sf ../pics/users/default1.png .default.face.icon
#popd

desktop-file-install --delete-original --dir $RPM_BUILD_ROOT%_applications/kde4 --add-only-show-in=KDE $RPM_BUILD_ROOT%_applications/kde4/systemsettings.desktop

%files
%defattr(-,root,root,-)
%doc COPYING README
%config(noreplace) %{_kde4_sysconfdir}/ksysguarddrc
%{_kde4_sysconfdir}/dbus-1/system.d/org.kde.fontinst.conf
%{_kde4_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf
%{_kde4_sysconfdir}/dbus-1/system.d/org.kde.ksysguard.processlisthelper.conf
%{_kde4_libdir}/kde4/plugins/designer/ksignalplotterwidgets.so
%{_kde4_libdir}/kde4/plugins/gui_platform/libkde.so
%{_kde4_datadir}/dbus-1/services/org.kde.fontinst.service
%{_kde4_datadir}/dbus-1/system-services/org.kde.fontinst.service
%{_kde4_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmclock.service
%{_kde4_datadir}/dbus-1/system-services/org.kde.ksysguard.processlisthelper.service
%{_kde4_datadir}/polkit-1/actions/org.kde.fontinst.policy
%{_kde4_datadir}/polkit-1/actions/org.kde.kcontrol.kcmclock.policy
%{_kde4_datadir}/polkit-1/actions/org.kde.ksysguard.processlisthelper.policy
%{_kde4_bindir}/*
%{_kde4_appsdir}/*
%{_kde4_configdir}/*
%{_kde4_datadir}/kde4/services/*
%{_kde4_datadir}/kde4/servicetypes/*
%{_kde4_datadir}/sounds/*
%{_kde4_datadir}/autostart/*
%{_kde4_datadir}/applications/kde4/*
%{_datadir}/dbus-1/interfaces/*
%{_kde4_datadir}/config.kcfg/*
%{_datadir}/xsessions/*
%{_kde4_docdir}/HTML/en/*
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_iconsdir}/oxygen/*/*/*
%{_kde4_libdir}/kde4/*.so
%{_kde4_libdir}/kde4/libexec/*
%{_libdir}/strigi/
%{_kde4_libdir}/libkdeinit*.so
%{_kde4_libdir}/kconf_update_bin/*
%{_kde4_datadir}/wallpapers/*
%{_kde4_iconsdir}/Oxygen_Black/
%{_kde4_iconsdir}/Oxygen_Black_Big/
%{_kde4_iconsdir}/Oxygen_Blue/
%{_kde4_iconsdir}/Oxygen_Blue_Big/
%{_kde4_iconsdir}/Oxygen_White/
%{_kde4_iconsdir}/Oxygen_White_Big/
%{_kde4_iconsdir}/Oxygen_Yellow/
%{_kde4_iconsdir}/Oxygen_Yellow_Big/
%{_kde4_iconsdir}/Oxygen_Zion/
%{_kde4_iconsdir}/Oxygen_Zion_Big/
%{_kde4_libdir}/lib*.so.*
%{_kde4_libdir}/kde4/plugins/designer/ksysguardlsofwidgets.so
%{_libdir}/python%PYVER/site-packages/PyKDE4/plasmascript.py
%{_libdir}/python%PYVER/site-packages/PyKDE4/plasmascript.pyc
%{_datadir}/dbus-1/services/org.kde.krunner.service
%{_mandir}/man1/plasmaengineexplorer.1.gz
%{_mandir}/man1/plasmapkg.1.gz
%{_mandir}/man1/plasmoidviewer.1.gz

%if %{build_with_polkit}
%{_datadir}/dbus-1/services/kde-org.freedesktop.PolicyKit.AuthenticationAgent.service
%{_datadir}/dbus-1/services/org.kde.PolicyKit.service
%endif
%{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmkdm.conf
%{_libdir}/kde4/plugins/styles/oxygen.so
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmkdm.service
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmkdm.policy


%files devel
%defattr(-,root,root,-)
%{_kde4_includedir}/*
%{_kde4_libdir}/lib*.so
%{_kde4_libdir}/kde4/plugins/designer/ksysguardwidgets.so
%exclude %{_kde4_libdir}/libkdeinit*.so
%{_kde4_libdir}/cmake/KDE4Workspace-*/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Dec 03 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.4-1
- Version Update
* Thu Nov 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.3-1
- Version Update
* Wed Oct 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.2-1
- Version Update
* Wed Sep 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.1-1
- Version Update
* Tue Aug 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.5.0-1
- Version Update
* Wed Jul 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.95-1
- Version Update
* Sun Jul 18 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-2
- rebuilt
* Thu Jul 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.92-1
- Version Update - experimental package branch - rc2
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.90-1
- Version Update - experimental package branch - rc1
* Wed Jun 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.4-1
- Version Update
* Mon May 24 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-2
- rebuilt against libxklavier-5.0-1
* Thu May 06 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.3-1
- Version Update
* Wed Mar 31 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.2-1
- Version Update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.1-1
- Version Update
* Wed Feb 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.4.0-1
- Version Update
* Fri Dec 04 2009 Christian Metzen <metzench@ccux-linux.de> 4.3.4-2
- Only Show systemsettings in kde
* Wed Dec 02 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.4-1
- Version Update
* Thu Nov 19 2009 Christian Metzen <metzench@ccux-linux.de> 4.3.3-2
- python 2.6
* Wed Nov 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.3-1
- Version Update
* Wed Oct 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.2-1
- Version Update
* Thu Oct 01 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-2
- added /usr/share/xsessions to kdm sessions path
* Thu Sep 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.1-1
- Version Update
* Sat Aug 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.3.0-1
- Version update
* Thu Jun 04 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.4-1
- Version update
* Fri May 08 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.3-1
- Version update
* Fri Apr 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.2-1
- Version update
* Fri Mar 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.1-1
- Version update
* Fri Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.2.0-1
- Version update
* Thu Jan 22 2009 Christian Metzen <metzench@ccux-linux.de> 4.1.96-3
- add solid-bluetooth patch for new bluez4 api
* Thu Jan 22 2009 Christian Metzen <metzench@ccux-linux.de> 4.1.96-2
- rebuild against bluez 4.27
* Sat Jan 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.96-1
- version update
* Wed Jan 06 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.1.87-1
- version update
* Sat Dec 13 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.85-1
- version update
* Fri Nov 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.80-1
- version update
* Wed Nov 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.3-1
- version update
* Fri Oct 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.2-1
- version update
* Mon Sep 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.1-2
- rebuilt against Xorg 7.4
* Wed Sep 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.1-1
- Version update
* Thu Aug 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.1.0-6
- added patch against systray icons visibility problem on qt4 4.4.1
(kdebug #168007)
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-5
- altered ccux startkde patch
* Thu Jul 31 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-4
- renamed package
* Tue Jul 29 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-3
- move devel symlinks
* Sun Jul 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-2
- fixed startkde issue
* Sat Jul 26 2008 Christian Metzen <metzench@ccux-linux.de> 4.1.0-1
- Version update
* Thu Jul 24 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.99-1
- Version update
* Sun Jul 13 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.98-1
- Version update 4.1 RC 1
* Wed Jul 02 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.84-1
- Version update
* Fri Jun 27 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.83-1
- Version update ( 4.1 Beta 2 )
* Mon Jun 16 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.80-1
- Version update ( 4.1 Beta 1 )
* Mon Apr 07 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.3-1
- Version update
* Sat Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.2-2
- rebuilt against libxklavier 3.5
* Mon Mar 03 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.2-1
- Version update
* Thu Feb 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.1-2
- moved KDEHOMEDIR to ~/.kde4
* Wed Feb 06 2008 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Version update
* Fri Jan 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 4.0.0-1
- Version update
* Wed Dec 12 2007 Christian Metzen <metzench@ccux-linux.de> 3.97.0-1
- Version update to RC2
* Thu Dec 06 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-3
- added startup patches, xsessions conf
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-2
- rebuild, moved prefix to /usr
* Tue Dec 04 2007 Christian Metzen <metzench@ccux-linux.de> 3.96.2-1
- Version update to latest rc
* Tue Nov 20 2007 Simon Schmeisser Simon Schmeisser <wrt@ccux-linux.de> 3.95.2-1
- Version update to Beta 4 - svn739162,
  split into seperate packages & sources
* Wed Sep 19 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.93-1
- Version update to Beta 2 -svn714529
* Wed Aug 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.92-1
- Version update to Beta 1 - svn700427
* Wed Jun 27 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-2
- Version update - svn680852
* Thu Jun 7 2007 Simon Schmeisser <wrt@ccux-linux.de> 3.90.1-1
- Initial Release - svn673043
